Panda3D

Public Member Functions | List of all members
CycleData Class Referenceabstract

A single page of data maintained by a PipelineCycler. More...

`#include "cycleData.h"`

Inheritance diagram for CycleData:

## Public Member Functions
| CycleData (const CycleData &copy)=default
| CycleData (CycleData &&from)=default
virtual int | complete_pointers (TypedWritable **p_list, BamReader *manager)
| Receives an array of pointers, one for each time manager->read_pointer() was called in fillin(). More...
virtual void | fillin (DatagramIterator &scan, BamReader *manager)
| This internal function is intended to be called by each class's make_from_bam() method to read in all of the relevant data from the BamFile for the new object. More...
virtual void | fillin (DatagramIterator &scan, BamReader *manager, void *extra_data)
| This internal function is intended to be called by each class's make_from_bam() method to read in all of the relevant data from the BamFile for the new object. More...
virtual TypeHandle | get_parent_type () const
| Returns the type of the container that owns the CycleData. More...
virtual CycleData * | make_copy () const =0
CycleData & | operator= (const CycleData &copy)=default
CycleData & | operator= (CycleData &&from)=default
virtual void | output (std::ostream &out) const
| Formats the contents of the CycleData in some meaningful way for humans. More...
virtual void | write_datagram (BamWriter *, Datagram &) const
| Writes the contents of this object to the datagram for shipping out to a Bam file. More...
virtual void | write_datagram (BamWriter *, Datagram &, void *extra_data) const
| Writes the contents of this object to the datagram for shipping out to a Bam file. More...
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Detailed Description

A single page of data maintained by a PipelineCycler.

Normally you should inherit from this class to define the data structures that are important to protect between stages of a pipeline. See PipelineCycler.

Definition at line 47 of file cycleData.h.

## Member Function Documentation

## ◆ complete_pointers()

int CycleData::complete_pointers | ( | TypedWritable ** | p_list,
|  | BamReader * | manager
| ) |  |
| virtual

Receives an array of pointers, one for each time manager->read_pointer() was called in fillin().

Returns the number of pointers processed.

Definition at line 47 of file cycleData.cxx.

## ◆ fillin() [1/2]

void CycleData::fillin | ( | DatagramIterator & | scan,
|  | BamReader * | manager
| ) |  |
| virtual

This internal function is intended to be called by each class's make_from_bam() method to read in all of the relevant data from the BamFile for the new object.

Reimplemented in ComputeNode::Dispatcher::CData.

Definition at line 57 of file cycleData.cxx.

Referenced by BamReader::read_cdata().

## ◆ fillin() [2/2]

void CycleData::fillin | ( | DatagramIterator & | scan,
|  | BamReader * | manager,
|  | void * | extra_data
| ) |  |
| virtual

This internal function is intended to be called by each class's make_from_bam() method to read in all of the relevant data from the BamFile for the new object.

Definition at line 67 of file cycleData.cxx.

## ◆ get_parent_type()

TypeHandle CycleData::get_parent_type | ( |  | ) | const
| virtual

Returns the type of the container that owns the CycleData.

This is useful mainly for debugging.

Reimplemented in ComputeNode::Dispatcher::CData.

Definition at line 75 of file cycleData.cxx.

Referenced by output().

## ◆ output()

void CycleData::output | ( | std::ostream & | out | ) | const
| virtual

Formats the contents of the CycleData in some meaningful way for humans.

This is useful mainly for debugging.

Definition at line 84 of file cycleData.cxx.

References get_parent_type().

## ◆ write_datagram() [1/2]

void CycleData::write_datagram | ( | BamWriter * | ,
|  | Datagram & |
| ) |  | const
| virtual

Writes the contents of this object to the datagram for shipping out to a Bam file.

Reimplemented in ComputeNode::Dispatcher::CData.

Definition at line 31 of file cycleData.cxx.

Referenced by BamWriter::write_cdata().

## ◆ write_datagram() [2/2]

void CycleData::write_datagram | ( | BamWriter * | ,
|  | Datagram & | ,
|  | void * | extra_data
| ) |  | const
| virtual

Writes the contents of this object to the datagram for shipping out to a Bam file.

Definition at line 39 of file cycleData.cxx.

The documentation for this class was generated from the following files:

- panda/src/pipeline/cycleData.h
- panda/src/pipeline/cycleData.cxx